
package cn.orionsec.ops.service.api;

import cn.orionsec.kit.lang.define.wrapper.DataGrid;
import cn.orionsec.ops.entity.request.app.ApplicationProfileRequest;
import cn.orionsec.ops.entity.vo.app.ApplicationProfileFastVO;
import cn.orionsec.ops.entity.vo.app.ApplicationProfileVO;

import java.util.List;

public interface ApplicationProfileService {

    /**
     * 添加环境
     *
     * @param request request
     * @return id
     */
    Long addProfile(ApplicationProfileRequest request);

    /**
     * 更新环境
     *
     * @param request request
     * @return effect
     */
    Integer updateProfile(ApplicationProfileRequest request);

    /**
     * 删除环境
     *
     * @param id id
     * @return effect
     */
    Integer deleteProfile(Long id);

    /**
     * 环境列表
     *
     * @param request request
     * @return rows
     */
    DataGrid<ApplicationProfileVO> listProfiles(ApplicationProfileRequest request);

    /**
     * 环境列表 (缓存)
     *
     * @return rows
     */
    List<ApplicationProfileFastVO> fastListProfiles();

    /**
     * 环境详情
     *
     * @param id id
     * @return rows
     */
    ApplicationProfileVO getProfile(Long id);

    /**
     * 清空环境缓存
     */
    void clearProfileCache();

}
